Subject: Re: [Iasa20] WGLC: draft-ietf-iasa2-rfc4071bis

From: "Livingood, Jason" <[email-masked]>
Date: Wed, 2 Jan 2019 20:59:54 +0000

Ack on both the 4071-bis suggestion on removing the BCP101 language and the trust suggestions. The former change was made in GitHub and just awaits Joe posting an update. I sent the trust stuff to Jari off-list to ask for an update.

Thanks!

JL

On 12/21/18, 9:49 PM, "Brian E Carpenter" <[email-masked]> wrote:

    Maybe I missed some discussion, but this:
    
    > This document obsoletes [RFC4071] (BCP101), [RFC4333], and [RFC7691].
    
    is very unusual by including "(BCP101)".
    
    BCP101 is currently a set of three RFCs: RFC4071, RFC4371, and RFC7691.
    This draft obsoletes only two of those. So it cannot claim to obsolete
    BCP101 as a whole.
    
    As already noted, draft-ietf-iasa2-trust-update-02 claims to update
    RFC4071 (which makes no sense since 4071bis obsoletes it) and RFC4371
    (without obsoleting it).
    
    The fix for this is fiddly but trivial:
    
    1. 4071bis should not claim to obsolete BCP101.
    2. trust-update should not claim to update RFC4071.
    3. trust-update should include a short text extract from RFC4371**.
    4. trust-update should obsolete RFC4371.
    5. 4071bis will be designated as BCP101 when published.
    6. trust-update will be designated as BCPxxx when published.
    
    ** See https://mailarchive.ietf.org/arch/msg/iasa20/uQZsZiarA8u1lVWyOCQr-L6Pvfo
    
    Regards
       Brian Carpenter